You are not logged in.

#1 2012-06-04 23:19:31

jskier
Member
From: Minnesota, USA
Registered: 2003-07-30
Posts: 361
Website

[Solved] Cannot compile, data dump error (Perl)

I'm not a developer, so this may be something simple. I'm trying to get a package to compile and I get this error:

autoreconf: Entering directory `.'
autoreconf: configure.in: not using Gettext
autoreconf: running: aclocal --force 
Perl API version v5.14.0 of Data::Dumper does not match v5.16.0 at /usr/share/perl5/core_perl/XSLoader.pm line 92.
Compilation failed in require at /usr/share/autoconf/Autom4te/C4che.pm line 33.
BEGIN failed--compilation aborted at /usr/share/autoconf/Autom4te/C4che.pm line 33.
Compilation failed in require at /usr/bin/autom4te line 37.
BEGIN failed--compilation aborted at /usr/bin/autom4te line 37.
aclocal: error: /usr/bin/autom4te failed with exit status: 255
autoreconf: aclocal failed with exit status: 255
==> ERROR: A failure occurred in build().
    Aborting...

I tried uninstalling and re-installing Perl as I imagine this was caused by upgrading pacman.

Any ideas?

**UPDATE**

Removed the Data Dumper module, works fine now. I don't remember installing it in the first place, oh well smile

Last edited by jskier (2012-06-04 23:23:06)


--
JSkier

Offline

#2 2012-06-17 09:50:10

ravicious
Member
From: Poland
Registered: 2011-06-07
Posts: 69
Website

Re: [Solved] Cannot compile, data dump error (Perl)

How did you manage to remove the data dumper module? Also you've got it installed, because the perl package includes it.

Offline

#3 2012-06-17 13:38:19

jskier
Member
From: Minnesota, USA
Registered: 2003-07-30
Posts: 361
Website

Re: [Solved] Cannot compile, data dump error (Perl)

ravicious wrote:

How did you manage to remove the data dumper module? Also you've got it installed, because the perl package includes it.

I also had one in AUR installed for some reason (this is the one I removed):

https://aur.archlinux.org/packages.php?ID=59760


--
JSkier

Offline

#4 2012-06-17 17:26:23

ravicious
Member
From: Poland
Registered: 2011-06-07
Posts: 69
Website

Re: [Solved] Cannot compile, data dump error (Perl)

I get exactly the same error you've got, but I don't have perl-data-dumper installed from AUR, so I don't have any idea how to fix it.

Offline

#5 2012-06-17 17:39:18

juster
Forum Fellow
Registered: 2008-10-07
Posts: 195

Re: [Solved] Cannot compile, data dump error (Perl)

You probably have Data::Dumper installed via a cpan shell. The module files (i.e. Data/Dumper.pm) are probably inside /usr/lib/perl5/site_perl. Delete the files under /usr/lib/perl5/site_perl and /usr/share/perl5/site_perl to remove modules installed by the cpan shell.

Offline

#6 2012-06-17 17:56:01

ravicious
Member
From: Poland
Registered: 2011-06-07
Posts: 69
Website

Re: [Solved] Cannot compile, data dump error (Perl)

Works like a charm, thanks!

Offline

#7 2012-06-18 02:41:48

jskier
Member
From: Minnesota, USA
Registered: 2003-07-30
Posts: 361
Website

Re: [Solved] Cannot compile, data dump error (Perl)

ravicious wrote:

Works like a charm, thanks!

Try (to be sure):

pacman -Qs data-dumper

I also recompiled a few AUR Perl packages after the Perl upgrade. A more simple attempt would be to reinstall Perl perhaps. Anyone else have some other insight?


--
JSkier

Offline

#8 2012-06-18 11:58:37

juster
Forum Fellow
Registered: 2008-10-07
Posts: 195

Re: [Solved] Cannot compile, data dump error (Perl)

You only need to rebuild the AUR perl packages that link with perl. These are the ones that combine C code with perl. These types of modules are called XS modules. This will list all foreign (i.e. AUR) perl XS packages that need to be rebuilt.

pacman -Qml | awk '/_perl\/auto\/.+\.so$/ { print $1 }' | uniq

Offline

Board footer

Powered by FluxBB